package com.lanyuanxiaoyao.service.web.entity.overview;

import com.lanyuanxiaoyao.service.configuration.entity.info.JobIdAndAlias;
import org.eclipse.collections.api.list.ImmutableList;

/**
 * @author lanyuanxiaoyao
 * @version 20250509
 */
public class TaskCountVO {
    private final String type;
    private final Integer total;
    private final Integer running;
    private final Integer stopped;
    private final ImmutableList<JobIdAndAlias> list;

    public TaskCountVO(String type, Integer total, Integer running, Integer stopped, ImmutableList<JobIdAndAlias> list) {
        this.type = type;
        this.total = total;
        this.running = running;
        this.stopped = stopped;
        this.list = list;
    }

    public String getType() {
        return type;
    }

    public Integer getTotal() {
        return total;
    }

    public Integer getRunning() {
        return running;
    }

    public Integer getStopped() {
        return stopped;
    }

    public ImmutableList<JobIdAndAlias> getList() {
        return list;
    }

    @Override
    public String toString() {
        return "TaskCountVO{" +
                "type='" + type + '\'' +
                ", total=" + total +
                ", running=" + running +
                ", stopped=" + stopped +
                ", list=" + list +
                '}';
    }
}
